{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/willhtun/72-API/1.0.0"}],"info":{"description":"API Documentation for 72 App","version":"1.0.0","title":"72 API","contact":{"email":"willhtun42@gmail.com"}},"tags":[{"name":"Account"},{"name":"Profile"},{"name":"Event"}],"paths":{"/v1/account/login":{"post":{"tags":["Account"],"summary":"Login to account","operationId":"login","responses":{"200":{"description":"Login successful"},"400":{"description":"Invalid credentials"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountLogin"}}}}}},"/v1/account/logout":{"post":{"tags":["Account"],"summary":"Logout of account","operationId":"logout","responses":{"200":{"description":"Logout successful"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountLogout"}}}}}},"/v1/profile":{"post":{"tags":["Profile"],"summary":"Create a profile","operationId":"createProfile","responses":{"200":{"description":"Profile created"},"400":{"description":"Invalid request"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileCreate"}}}}}},"/v1/profile/{id}":{"get":{"tags":["Profile"],"summary":"Fetch a profile","operationId":"fetchProfile","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns the profile","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProfileFetch"}}}}},"400":{"description":"Profile not found"}}},"put":{"tags":["Profile"],"summary":"Update a profile","operationId":"updateProfile","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Profile updated"},"400":{"description":"Invalid request"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileCreate"}}}}},"delete":{"tags":["Profile"],"summary":"Delete a profile","operationId":"deleteProfile","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Deletes profile"},"400":{"description":"Profile not found"}}}},"/v1/event":{"post":{"tags":["Event"],"summary":"Create an event","operationId":"createEvent","responses":{"200":{"description":"Event created"},"400":{"description":"Invalid request"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventCreate"}}}}}},"/v1/event/{id}":{"get":{"tags":["Event"],"summary":"Fetch an event","operationId":"fetchEvent","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns the event","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventFetch"}}}}},"400":{"description":"Event not found"}}},"put":{"tags":["Event"],"summary":"Update an event","operationId":"updateEvent","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Event updated"},"400":{"description":"Invalid request"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventCreate"}}}}},"delete":{"tags":["Event"],"summary":"Delete an event","operationId":"eventProfile","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Deletes event"},"400":{"description":"Event not found"}}}}},"components":{"schemas":{"AccountLogin":{"type":"object","properties":{"email":{"type":"string","example":"johnsmith@gmail.com"},"password":{"type":"string","example":"mypassword95"}}},"AccountLogout":{"type":"object","properties":{"email":{"type":"string","example":"johnsmith@gmail.com"}}},"ProfileFetch":{"type":"object","properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"familyId":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"firstName":{"type":"string","example":"John"},"lastName":{"type":"string","example":"Smith"},"dateOfBirth":{"type":"string","example":"1995-01-01"},"gender":{"type":"string","example":"Male"},"location":{"type":"string","example":"Sunnyvale"},"bio":{"type":"string","example":"This is my bio."},"occupation":{"type":"string","example":"Software Engineer"},"company":{"type":"string","example":"Netflix"},"school":{"type":"string","example":"University of Washington"},"email":{"type":"string","example":"john.smith@gmail.com"},"linkedinUrl":{"type":"string","example":"johnsmith"},"instagramUrl":{"type":"string","example":"johny_smithy"},"facebookUrl":{"type":"string","example":"johnsmith95"},"phone":{"type":"string","example":4081112222},"interests":{"type":"array","items":{"properties":{"name":{"type":"string"}},"example":["Tennis","Coffee","Biking","Movies","Board Games","Volleyball"]}},"userRoles":{"type":"array","items":{"properties":{"name":{"type":"string"}},"example":["Member","Host"]}}}},"ProfileCreate":{"type":"object","required":["firstName","lastName","dateOfBirth","gender","location"],"properties":{"firstName":{"type":"string","example":"John"},"lastName":{"type":"string","example":"Smith"},"dateOfBirth":{"type":"string","example":"1995-01-01"},"gender":{"type":"string","example":"Male"},"location":{"type":"string","example":"Sunnyvale"},"bio":{"type":"string","example":"This is my bio."},"occupation":{"type":"string","example":"Software Engineer"},"company":{"type":"string","example":"Netflix"},"school":{"type":"string","example":"University of Washington"},"email":{"type":"string","example":"john.smith@gmail.com"},"linkedinUrl":{"type":"string","example":"johnsmith"},"instagramUrl":{"type":"string","example":"johny_smithy"},"facebookUrl":{"type":"string","example":"johnsmith95"},"phone":{"type":"string","example":4081112222},"interests":{"type":"array","items":{"properties":{"name":{"type":"string"}},"example":["tennis","coffee","biking","movies","boardgames","volleyball"]}}}},"EventFetch":{"type":"object","properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"hostProfileId":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"title":{"type":"string","example":"Volleyball & Picnic"},"description":{"type":"string","example":"An afternoon of volleyball and picnic at the park."},"address":{"type":"string","example":"320 E Orangewood Ave, Anaheim, CA 92802"},"date":{"type":"string","example":"2022-01-01"},"startTime":{"type":"string","example":"15:00:00"},"endTime":{"type":"string","example":"18:00:00"},"interests":{"type":"array","items":{"properties":{"name":{"type":"string"}},"example":["volleyball","picnic"]}}}},"EventCreate":{"type":"object","required":["hostProfileId","title","address","date","startTime","endTime"],"properties":{"hostProfileId":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"title":{"type":"string","example":"Volleyball & Picnic"},"description":{"type":"string","example":"An afternoon of volleyball and picnic at the park."},"address":{"type":"string","example":"320 E Orangewood Ave, Anaheim, CA 92802"},"date":{"type":"string","example":"2022-01-01"},"startTime":{"type":"string","example":"15:00:00"},"endTime":{"type":"string","example":"18:00:00"},"interests":{"type":"array","items":{"properties":{"name":{"type":"string"}},"example":["volleyball","picnic"]}}}}}}}